%global dlrn_nvr os-apply-config-10.5.1-0.20200311030933.3c6e3cd
%global dlrn 1
%define upstream_version 10.5.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:		os-apply-config
Version: 10.5.1
Release: 0.20200311030933.3c6e3cd%{?dist}
Summary:	Configure files from cloud metadata

License:	ASL 2.0
URL:		http://pypi.python.org/pypi/%{name}
Source0: os-apply-config-10.5.1-0.20200311030933.3c6e3cd.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=3c6e3cd638f31bce14344e19ac3ff22d74c0c4af

BuildArch:	noarch

BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr

Requires:   python%{pyver}-pbr
Requires:   python%{pyver}-six >= 1.10.0

%if %{pyver} == 2
Requires:   pystache
Requires:   PyYAML
Requires:   python-anyjson
%else
Requires:   python%{pyver}-anyjson
Requires:   python%{pyver}-pystache
Requires:   python%{pyver}-PyYAML
%endif

%description
Tool to apply openstack heat metadata to files on the system.

%prep
%setup -q -n %{name}-%{upstream_version}

# Remove unnecessary shebang
sed -i '1{/^#!/d}' os_apply_config/tests/templates/etc/glance/script.conf
chmod -x os_apply_config/tests/templates/etc/glance/script.conf

%build
%{pyver_build}

%install
%{pyver_install}
install -d -m 755 %{buildroot}%{_libexecdir}/%{name}/templates

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-apply-config
%{_bindir}/os-config-applier
%{_libexecdir}/%{name}/templates
%{pyver_sitelib}/os_apply_config*

%changelog
* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 10.5.1-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.5.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Blacklist sphinx 2.1.0 (autodoc bug)

* Mon Sep 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url

